Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.editor
Class BaseEditor

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.HorizontalPanel
                              org.eclipse.higgins.ics.gwt.base.client.editor.BaseEditor

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel

Direct Known Subclasses:
  ComboBoxEditor, DateEditor, ImageEditor, TextBoxEditor

public abstract class BaseEditor
extends com.google.gwt.user.client.ui.HorizontalPanel

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary
`static String` | `CHECH_BOX_EDITOR`
`static String` | `COMBO_BOX_EDITOR`
`static String` | `DATE_TEXT_BOX_EDITOR`
`static String` | `HTML_AREA_EDITOR`
`static String` | `IMAGE_EDITOR`
`static String` | `PASSWORD_TEXT_BOX_EDITOR`
`static String` | `STYLE_COMBO_BOX_EDITOR`
`static String` | `STYLE_EDITOR_ERROR_VALUE`
`static String` | `STYLE_EDITOR_LAYOUT`
`static String` | `STYLE_EDITOR_REQUIRED`
`static String` | `STYLE_TEXT_BOX_EDITOR`
`static String` | `TEXT_AREA_EDITOR`
`static String` | `TEXT_BOX_EDITOR`

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`BaseEditor()`

Method Summary
`void` | `addChangeListener(com.google.gwt.user.client.ui.ChangeListener listener)`
`void` | `addKeyboardListener(com.google.gwt.user.client.ui.KeyboardListener listener)`
`boolean` | `checkValue()`
`boolean` | `checkValueRuntime()`
`ArrayList` | `getChangeListenerList()`
`String` | `getChildHeight()`
`String` | `getChildWidth()`
`String` | `getClaimType()`
`String` | `getDescription()`
`String` | `getInputRegExp()`
`String` | `getName()`
`String` | `getOldValue()`
`abstract String` | `getTypeEditor()`
`abstract String` | `getValue()`
`boolean` | `isCheckValueRunTime()`
`boolean` | `isReadOnly()`
`boolean` | `isRequired()`
`void` | `setCheckValueRunTime(boolean isCheckValueRunTime)`
`void` | `setChildHeight(String childHeight)`
`void` | `setChildWidth(String childWidth)`
`void` | `setClaimType(String claimType)`
`void` | `setDescription(String description)`
`void` | `setFocus(boolean focused)`
`void` | `setInputRegExp(String inputRegExp)`
`void` | `setName(String name)`
`void` | `setOldValue(String oldValue)`
`void` | `setReadOnly(boolean isReadOnly)`
`void` | `setRequired(boolean isRequired)`
`abstract void` | `setValue(String val)`

Methods inherited from class com.google.gwt.user.client.ui.HorizontalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHECH_BOX_EDITOR

    public static final String CHECH_BOX_EDITOR

See Also:
  Constant Field Values

### COMBO_BOX_EDITOR

    public static final String COMBO_BOX_EDITOR

See Also:
  Constant Field Values

### DATE_TEXT_BOX_EDITOR

    public static final String DATE_TEXT_BOX_EDITOR

See Also:
  Constant Field Values

### HTML_AREA_EDITOR

    public static final String HTML_AREA_EDITOR

See Also:
  Constant Field Values

### PASSWORD_TEXT_BOX_EDITOR

    public static final String PASSWORD_TEXT_BOX_EDITOR

See Also:
  Constant Field Values

### STYLE_EDITOR_LAYOUT

    public static final String STYLE_EDITOR_LAYOUT

See Also:
  Constant Field Values

### STYLE_EDITOR_REQUIRED

    public static final String STYLE_EDITOR_REQUIRED

See Also:
  Constant Field Values

### STYLE_TEXT_BOX_EDITOR

    public static final String STYLE_TEXT_BOX_EDITOR

See Also:
  Constant Field Values

### STYLE_COMBO_BOX_EDITOR

    public static final String STYLE_COMBO_BOX_EDITOR

See Also:
  Constant Field Values

### STYLE_EDITOR_ERROR_VALUE

    public static final String STYLE_EDITOR_ERROR_VALUE

See Also:
  Constant Field Values

### TEXT_AREA_EDITOR

    public static final String TEXT_AREA_EDITOR

See Also:
  Constant Field Values

### TEXT_BOX_EDITOR

    public static final String TEXT_BOX_EDITOR

See Also:
  Constant Field Values

### IMAGE_EDITOR

    public static final String IMAGE_EDITOR

See Also:
  Constant Field Values

Constructor Detail

### BaseEditor

    public BaseEditor()

Method Detail

### addChangeListener

    public void addChangeListener(com.google.gwt.user.client.ui.ChangeListener listener)

### addKeyboardListener

    public void addKeyboardListener(com.google.gwt.user.client.ui.KeyboardListener listener)

  Parameters:
    `listener` -
  See Also:
    `FocusWidget.addKeyboardListener(com.google.gwt.user.client.ui.KeyboardListener)`

### getChangeListenerList

    public ArrayList getChangeListenerList()

  Returns:
    the changeListenerList

### getTypeEditor

    public abstract String getTypeEditor()

  Returns:
    one from predefined editor type constant

### getValue

    public abstract String getValue()

  Returns:
    current value

### isRequired

    public boolean isRequired()

  Returns:
    the isRequired

### setFocus

    public void setFocus(boolean focused)

  Parameters:
    `focused` -
  See Also:
    `FocusWidget.setFocus(boolean)`

### setRequired

    public void setRequired(boolean isRequired)

  Parameters:
    `isRequired` - the isRequired to set

### setValue

    public abstract void setValue(String val)

  Parameters:
    `val` - current value

### checkValue

    public boolean checkValue()

  Returns:

### checkValueRuntime

    public boolean checkValueRuntime()

### getInputRegExp

    public String getInputRegExp()

  Returns:
    the inputRegExp

### setInputRegExp

    public void setInputRegExp(String inputRegExp)

  Parameters:
    `inputRegExp` - the inputRegExp to set

### isCheckValueRunTime

    public boolean isCheckValueRunTime()

  Returns:
    the isCheckValueRunTime

### setCheckValueRunTime

    public void setCheckValueRunTime(boolean isCheckValueRunTime)

  Parameters:
    `isCheckValueRunTime` - the isCheckValueRunTime to set

### isReadOnly

    public boolean isReadOnly()

  Returns:
    the isReadOnly

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

  Parameters:
    `isReadOnly` - the isReadOnly to set

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

### getChildWidth

    public String getChildWidth()

  Returns:
    the childWidth

### setChildWidth

    public void setChildWidth(String childWidth)

  Parameters:
    `childWidth` - the childWidth to set

### getChildHeight

    public String getChildHeight()

  Returns:
    the childHeight

### setChildHeight

    public void setChildHeight(String childHeight)

  Parameters:
    `childHeight` - the childHeight to set

### getClaimType

    public String getClaimType()

### setClaimType

    public void setClaimType(String claimType)

### getOldValue

    public String getOldValue()

### setOldValue

    public void setOldValue(String oldValue)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD